# Generated by Django 2.1.3 on 2020-05-28 14:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('devices', '0009_auto_20200528_1159'),
        ('customers', '0005_networkstatuschange'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0006_auto_20200525_1126'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalNotFoundMatrixEquipment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('alias', models.CharField(blank=True, db_index=True, max_length=80, null=True)),
                ('serial', models.CharField(db_index=True, max_length=30)),
                ('description', models.TextField(blank=True, null=True)),
                ('primary', models.BooleanField(default=False)),
                ('ssid', models.CharField(blank=True, max_length=100, null=True)),
                ('password', models.CharField(blank=True, max_length=100, null=True)),
                ('ssid_5g', models.CharField(blank=True, max_length=100, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('ip', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable')),
                ('mac', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable')),
                ('model', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.ModelDevice')),
                ('service', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service')),
            ],
            options={
                'verbose_name': 'historical not found matrix equipment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='NotFoundMatrixEquipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('alias', models.CharField(blank=True, db_index=True, max_length=80, null=True)),
                ('serial', models.CharField(db_index=True, max_length=30)),
                ('description', models.TextField(blank=True, null=True)),
                ('primary', models.BooleanField(default=False)),
                ('ssid', models.CharField(blank=True, max_length=100, null=True)),
                ('password', models.CharField(blank=True, max_length=100, null=True)),
                ('ssid_5g', models.CharField(blank=True, max_length=100, null=True)),
                ('ip', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.IPTable')),
                ('mac', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.MACTable')),
                ('model', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='devices.ModelDevice')),
                ('service', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Service')),
            ],
            options={
                'verbose_name': 'not found matrix equipment',
                'verbose_name_plural': 'not found matrix equipments',
            },
        ),
    ]
